Enumerations

# terraform_widget.h File Reference

Types related to the terraform widgets. More...

Go to the source code of this file.

## Enumerations
enum | TerraformToolbarWidgets { WID_TT_SHOW_PLACE_OBJECT, WID_TT_BUTTONS_START, WID_TT_LOWER_LAND = WID_TT_BUTTONS_START, WID_TT_RAISE_LAND, WID_TT_LEVEL_LAND, WID_TT_DEMOLISH, WID_TT_BUY_LAND, WID_TT_PLANT_TREES, WID_TT_PLACE_SIGN, WID_TT_PLACE_OBJECT }
| Widgets of the TerraformToolbarWindow class. More...
enum | EditorTerraformToolbarWidgets { WID_ETT_SHOW_PLACE_DESERT, WID_ETT_START, WID_ETT_DOTS = WID_ETT_START, WID_ETT_BUTTONS_START, WID_ETT_DEMOLISH = WID_ETT_BUTTONS_START, WID_ETT_LOWER_LAND, WID_ETT_RAISE_LAND, WID_ETT_LEVEL_LAND, WID_ETT_PLACE_ROCKS, WID_ETT_PLACE_DESERT, WID_ETT_PLACE_OBJECT, WID_ETT_BUTTONS_END, WID_ETT_INCREASE_SIZE = WID_ETT_BUTTONS_END, WID_ETT_DECREASE_SIZE, WID_ETT_NEW_SCENARIO, WID_ETT_RESET_LANDSCAPE }
| Widgets of the ScenarioEditorLandscapeGenerationWindow class. More...

## Detailed Description

Types related to the terraform widgets.

Definition in file terraform_widget.h.

## Enumeration Type Documentation

enum EditorTerraformToolbarWidgets

Widgets of the ScenarioEditorLandscapeGenerationWindow class.

Enumerator:

  WID_ETT_SHOW_PLACE_DESERT | Should the place desert button be shown?
  WID_ETT_START | Used for iterations.
  WID_ETT_DOTS | Invisible widget for rendering the terraform size on.
  WID_ETT_BUTTONS_START | Start of pushable buttons.
  WID_ETT_DEMOLISH | Demolish aka dynamite button.
  WID_ETT_LOWER_LAND | Lower land button.
  WID_ETT_RAISE_LAND | Raise land button.
  WID_ETT_LEVEL_LAND | Level land button.
  WID_ETT_PLACE_ROCKS | Place rocks button.
  WID_ETT_PLACE_DESERT | Place desert button (in tropical climate).
  WID_ETT_PLACE_OBJECT | Place transmitter button.
  WID_ETT_BUTTONS_END | End of pushable buttons.
  WID_ETT_INCREASE_SIZE | Upwards arrow button to increase terraforming size.
  WID_ETT_DECREASE_SIZE | Downwards arrow button to decrease terraforming size.
  WID_ETT_NEW_SCENARIO | Button for generating a new scenario.
  WID_ETT_RESET_LANDSCAPE | Button for removing all company-owned property.

Definition at line 30 of file terraform_widget.h.

enum TerraformToolbarWidgets

Widgets of the TerraformToolbarWindow class.

Enumerator:

  WID_TT_SHOW_PLACE_OBJECT | Should the place object button be shown?
  WID_TT_BUTTONS_START | Start of pushable buttons.
  WID_TT_LOWER_LAND | Lower land button.
  WID_TT_RAISE_LAND | Raise land button.
  WID_TT_LEVEL_LAND | Level land button.
  WID_TT_DEMOLISH | Demolish aka dynamite button.
  WID_TT_BUY_LAND | Buy land button.
  WID_TT_PLANT_TREES | Plant trees button (note: opens separate window, no place-push-button).
  WID_TT_PLACE_SIGN | Place sign button.
  WID_TT_PLACE_OBJECT | Place object button.

Definition at line 16 of file terraform_widget.h.